- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.contextProperties/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.contextProperties/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.contextProperties/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.contextProperties/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.contextProperties/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.contextProperties/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.contextProperties/list#body.aspect_1)

**Full name**: projects.locations.instances.integrations.connectors.contextProperties.list

Lists all context properties for a specific parent entity. Use this method to discover all custom data points associated with a case, alert, or integration component.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/contextProperties`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list ContextProperties for. Format: projects/{project}/locations/{location}/instances/{instance} projects/{project}/locations/{location}/instances/{instance}/cases/{case} projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{alert} projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/connectors/{connector} projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/jobs/{job} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of ContextProperties to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `contextProperties.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. Filter to be applied over multiple ContextProperty fields. |
| `orderBy` | `string` Optional. The order in which items should be returned. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ListContextPropertiesResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.contextProperties.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).